<?php

use NCSUFaker\NcsuLoremIpsumProvider;

class NcsuLoremIpsumProviderTest extends \PHPUnit\Framework\TestCase
{
    public function setUp() : void
    {
        $this->faker = new Faker\Generator();
        $this->faker->addProvider(new NcsuLoremIpsumProvider($this->faker));
    }

    public function testDogOfWisdomIpsum()
    {
        $this->assertNotEmpty($this->faker->dogOfWisdomIpsum);
    }

    public function testTrololoIpsum()
    {
        $this->assertNotEmpty($this->faker->trololoIpsum);
    }

    public function testJasonIpsum()
    {
        $this->assertNotEmpty($this->faker->jasonIpsum);
    }

    public function testSuperJasonIpsum()
    {
        $this->assertNotEmpty($this->faker->superJasonIpsum);
    }
}
