<?php

use NCSUFaker\OuProvider;

class OuProviderTest extends \PHPUnit\Framework\TestCase
{
    public function setUp() : void
    {
        $this->faker = new Faker\Generator();
        $this->faker->addProvider(new OuProvider($this->faker));
    }

    public function testDepartment()
    {
        $this->assertNotEmpty($this->faker->department('Chancellor'));
    }

    public function testDepartmentOuc()
    {
        $this->assertNotEmpty($this->faker->departmentOuc('Chancellor'));
    }

    public function testUnit()
    {
        $this->assertNotEmpty($this->faker->unit);
        $this->assertNotEmpty($this->faker->unit('25'));
    }

    public function testUnitOuc()
    {
        $this->assertNotEmpty($this->faker->unitOuc);
        $this->assertNotEmpty($this->faker->unitOuc('NCSU Libraries'));
    }
}
